# script to install packages for R Windows used for SPIDA 2012

#  0. Download and install R 2.14.2 for Windows from 
#				http://cran.us.r-project.org/bin/windows/base/old/2.14.2/R-2.14.2-win.exe
#  1. Open Rgui on the local drive (e.g., from the R desktop icon or C:\Program Files\R\R-2.14.2\bin\Rgui.exe)
#  2. Run the following script

#  All packages should be installed into the library directory of the current R version
#  (e.g., C:\Program Files\R\R-2.14.2\library)

#  Please note: After installing the packages below in R, RStudio can be downloaded through
#                       http://www.rstudio.org/

spidapkgs <- c("car", "effects", "ggplot2", "glmmML", "MCMCglmm",   
	"lme4", "nlme", "plyr", "Rcmdr", "reshape", "rgl", "candisc", "heplots", "mi", "mice") 

# install the above from the local CRAN repository, along with any dependencies
repos <- 'http://probability.ca/cran/'
install.packages(spidapkgs, dependencies=TRUE, repos=repos)

# install Prof. Georges Monette's spida and p3d packages
special <- c('spida', 'p3d')
install.packages(special, repos = "http://R-Forge.R-project.org") 

# to install 'spidadev'
download.file("http://blackwell.math.yorku.ca/R/spidadev.zip", "spidadev.zip")
install.packages("spidadev.zip", repos = NULL)

# to install 'p3ddev'
download.file("http://blackwell.math.yorku.ca/R/p3ddev.zip", "p3ddev.zip")
install.packages("p3ddev.zip", repos = NULL)

# update any recently modified packages
update.packages(ask=FALSE)
